<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="8dp"
    android:layout_marginTop="8dp"
    android:layout_marginEnd="8dp"
    android:layout_marginBottom="8dp"
    app:cardCornerRadius="4dp"
    app:cardElevation="5dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            tools:ignore="MissingConstraints">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.3"
                tools:ignore="MissingConstraints">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/profile_image"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/user1" />

                <TextView
                    android:id="@+id/user_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="14dp"
                    android:layout_marginBottom="8dp"
                    android:text="Matt Donovan"
                    android:textColor="@color/material_black" />
            </LinearLayout>

<!--            <TextView-->
<!--                android:id="@+id/post_time"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_gravity="center"-->
<!--                android:layout_marginEnd="10sp"-->
<!--                android:layout_weight=".7"-->
<!--                android:background="?attr/selectableItemBackgroundBorderless"-->
<!--                android:gravity="end"-->
<!--                android:text="30 mins ago"-->
<!--                android:textColor="@color/material_black" />-->
        </LinearLayout>

        <ImageView
            android:id="@+id/post_image"
            android:layout_width="match_parent"
            android:layout_height="180dp"
            app:layout_constraintTop_toBottomOf="@+id/title"
            tools:srcCompat="@color/colorInitial" />

        <LinearLayout
            android:id="@+id/count"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@+id/post_image">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                app:layout_constraintTop_toBottomOf="@+id/post_image">

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="25dp"
                    android:layout_marginTop="8dp"
                    app:srcCompat="@drawable/liked" />

                <TextView
                    android:id="@+id/like_coun"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:textColor="@color/grey" />
            </LinearLayout>

            <TextView
                android:id="@+id/comment_coun"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:layout_weight="1"
                android:gravity="end" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/post_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginEnd="18dp"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="Cooking is a fine art"
                android:textColor="@color/post_heading"
                android:textSize="15sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/post_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="18dp"
                android:layout_marginBottom="5dp"
                android:ellipsize="marquee"
                android:lineSpacingExtra="4dp"
                android:maxLines="2"
                android:scrollHorizontally="true"
                android:text="@string/desc"
                android:textSize="12sp"

                />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="5dp"
            android:background="@color/material_grey300" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:layout_marginBottom="3dp"
            android:orientation="horizontal"
            tools:ignore="MissingConstraints">

            <LinearLayout
                android:id="@+id/like_div"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="horizontal"
                tools:ignore="MissingConstraints">

                <ImageView
                    android:id="@+id/like_btn1"
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="40dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="8dp"
                    android:padding="1dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:srcCompat="@drawable/unliked" />

                <TextView
                    android:id="@+id/Likes1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:gravity="center"
                    android:text="Like"
                    android:textColor="@color/material_black" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:id="@+id/comment_div"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:gravity="center"
                app:layout_constraintStart_toEndOf="@id/like_div"
                app:layout_constraintTop_toBottomOf="@+id/post_desc"
                tools:ignore="MissingConstraints">

                <ImageView
                    android:id="@+id/comment_bt"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="8dp"
                    android:padding="1dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:srcCompat="@drawable/comment" />

                <TextView
                    android:id="@+id/Comments1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:text="Comment"
                    android:textColor="@color/material_black" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</androidx.cardview.widget.CardView>